# eric6.Utilities.uic

Module implementing a function to compile all user interface files of a directory or directory tree.

### Global Attributes

None

### Classes

None

### Functions

__pyName | Local function to create the Python source file name for the compiled .ui file.
compileUiFiles | Module function to compile the .ui files of a directory tree to Python sources.

## __pyName

__pyName(py_dir, py_file)

Local function to create the Python source file name for the compiled .ui file.

py_dir
  suggested name of the directory (string)
py_file
  suggested name for the compile source file (string)

Returns:
  tuple of directory name (string) and source file name (string)

Up

## compileUiFiles

compileUiFiles(directory, recurse=False)

Module function to compile the .ui files of a directory tree to Python sources.

directory
  name of a directory to scan for .ui files (string)
recurse
  flag indicating to recurse into subdirectories (boolean)

Up